Bug 109716 - Kernel won't compile without modules support
Summary: Kernel won't compile without modules support
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-11 10:41 UTC by Birzan George Cristian
Modified: 2015-01-04 22:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:39:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the bug. (697 bytes, patch)
2003-11-11 10:48 UTC, Birzan George Cristian
no flags Details | Diff

Description Birzan George Cristian 2003-11-11 10:41:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a)
Gecko/20031010 Mozilla Firebird/0.6.1

Description of problem:
The kernel won't compile if you turn modules support off, due to a
misplaced #endif. I'll submit the patch.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make menuconfig
2. Turn modules support off.
3. make dep bzImage
    

Actual Results:  Kernel failed to compile due to
register_module_notifier and unregister_module_notifier being declared
as inline functions in include/linux/module.h (#ifndef CONFIG_MODULES)
and being declared as regular functions in kernel/modules.c (The #if
defined() #endifs too early, should also include the declaration of
these two functions).

Expected Results:  Kernel should have compiled fine.

Additional info:

Comment 1 Birzan George Cristian 2003-11-11 10:48:13 UTC
Created attachment 95897 [details]
Patch to fix the bug.

Comment 2 David Lawrence 2004-09-29 19:39:36 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.